Skip to main content
GET
/
access-key-configurations
List AI Gateway access key configurations
curl --request GET \
  --url https://api.ngrok.ai/access-key-configurations \
  --header 'Authorization: Bearer <token>'
{
  "aiGatewayAccessKeyConfigurations": [
    {
      "id": "<string>",
      "uri": "<string>",
      "name": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "createdBy": {
        "id": "<string>",
        "uri": "<string>"
      },
      "lastUpdatedBy": {
        "id": "<string>",
        "uri": "<string>"
      },
      "description": "<string>",
      "metadata": "<string>",
      "access": {
        "providers": {
          "allow": [
            "<string>"
          ]
        },
        "models": {
          "allow": [
            "<string>"
          ]
        }
      },
      "router": {
        "rules": [
          {
            "steps": [
              {
                "keys": [
                  {
                    "id": "<string>",
                    "name": "<string>",
                    "keyRedacted": "<string>"
                  }
                ],
                "keySelectionStrategy": "ordered"
              }
            ],
            "provider": "<string>",
            "model": "<string>"
          }
        ]
      }
    }
  ],
  "uri": "<string>",
  "nextPageUri": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

beforeId
string

Returns items before this resource identifier in descending ID order.

limit
integer<int32>

Maximum number of items to return. Defaults to 100 and may not exceed 100.

Required range: 1 <= x <= 100

Response

A page of AI Gateway access key configurations.

aiGatewayAccessKeyConfigurations
object[]
required

The AI Gateway access key configurations for this account.

uri
string
required

URI of this list resource.

nextPageUri
string | null

URI of the next page of results, or null if there is no next page.